// Author: NiuJiuRu
// Email: niujiuru@qq.com
// Date: 2025-08-15
#ifndef __AIR530Z_H__
#define __AIR530Z_H__

#include "../swapi/include_swapiLib.h"

#ifdef __cplusplus
extern "C"
{
#endif

// 打开与模块的通讯, 返回: 0成功, <0时失败
int Air530Z_ComInit();

// 关闭与模块的通讯, 返回: 0成功, <0时失败
int Air530Z_ComExit();

// 获取当前的2D位置, 返回: 0成功, -1未定位
int Air530Z_GetPos2D(char lat[MAX_LINE_CHARS], char lon[MAX_LINE_CHARS]);

#ifdef _DEBUG
void *Air530Z_GetSerialHandle(); // 仿真串口输入, 模拟单元测试时使用
#endif

#ifdef __cplusplus
}
#endif

#endif /* __AIR530Z_H__ */
